Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 6245)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 6246)
@@ -466,5 +466,5 @@
     <!DOCTYPE html PUBLIC...
     ...
-    ...Processing of 1 rows failed!...
+    ...Processing of 1 rows failed...
     ...Successfully processed 1 rows...
     ...
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 6245)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 6246)
@@ -91,5 +91,5 @@
   >>> print browser.contents      
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<li class="message">Error: xx@yy is not a valid email address!</li>
+  ...<li class="message">Error: xx@yy is not a valid email address.</li>
   ...
 
@@ -223,5 +223,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<div>The code chosen already exists in the database</div>
+  ...<li class="message">The code chosen already exists in the database.</li>
   ...
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6245)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6246)
@@ -21,5 +21,5 @@
 from zope.component import (
     getUtility, createObject,getAllUtilitiesRegisteredFor)
-from zope.component.interfaces import Invalid
+#from zope.component.interfaces import Invalid
 from zope.event import notify
 from zope.session.interfaces import ISession
@@ -63,5 +63,5 @@
         child_id = form['role_id']
     else:
-        view.flash('No local role selected!')
+        view.flash('No local role selected.')
         view.redirect(view.url(view.context, '@@manage')+'#tab-%s' % tab)
         return
@@ -111,5 +111,5 @@
                 self.redirect(self.camefrom)
                 return
-            self.flash('You entered wrong credentials!')
+            self.flash('You entered wrong credentials.')
 
 class LoginStaffPage(LoginPage):
@@ -296,6 +296,6 @@
                                  description=description, roles=roles)
         except KeyError:
-            self.status = Invalid('The userid chosen already exists '
-                                  'in the database')
+            self.status = self.flash('The userid chosen already exists '
+                                  'in the database.')
             return
         self.redirect(self.url(self.context))
@@ -396,9 +396,9 @@
         regno =form['regno']
         if not (fullname and email and descr):
-            self.flash('Error: All fields must be filled!')
+            self.flash('Error: All fields must be filled.')
             return
         if not re.match("^[a-zA-Z0-9._%-]+@[a-zA-Z0-9._%-]+.[a-zA-Z]{2,6}$",
                         email):
-            self.flash('Error: %s is not a valid email address!' % email)
+            self.flash('Error: %s is not a valid email address.' % email)
             return
         if regno == 'zope.anybody':
@@ -499,5 +499,5 @@
     def update(self, filename=None, select=None, cancel=None):
         if cancel is not None:
-            self.flash('Import aborted')
+            self.flash('Import aborted.')
             self.redirect(self.url(self.context))
             return
@@ -575,5 +575,5 @@
             return
         if cancel is not None:
-            self.flash('Import aborted')
+            self.flash('Import aborted.')
             self.redirect(self.url(self.context))
             return
@@ -742,5 +742,5 @@
 
         if self.warn_num:
-            self.flash('Processing of %d rows failed!' % self.warn_num)
+            self.flash('Processing of %d rows failed.' % self.warn_num)
         self.flash('Successfully processed %s rows' % (
                 linenum - (self.warn_num)))
@@ -906,5 +906,5 @@
             child_id = form['val_id']
         else:
-            self.flash('No faculty selected!')
+            self.flash('No faculty selected.')
             self.redirect(self.url(self.context, '@@manage')+'#tab-1')
             return
@@ -953,6 +953,6 @@
             self.context.addFaculty(faculty)
         except KeyError:
-            self.status = Invalid('The name chosen already exists '
-                                  'in the database')
+            self.status = self.flash('The code chosen already exists '
+                                  'in the database.')
             return
         self.redirect(self.url(self.context, u'@@manage')+'#tab-1')
@@ -1031,5 +1031,5 @@
             child_id = form['val_id']
         else:
-            self.flash('No department selected!')
+            self.flash('No department selected.')
             self.redirect(self.url(self.context, '@@manage')+'#tab-2')
             return
@@ -1093,6 +1093,6 @@
             self.context.addDepartment(department)
         except KeyError:
-            self.status = Invalid('The code chosen already exists '
-                                  'in the database')
+            self.status = self.flash('The code chosen already exists '
+                                  'in the database.')
             return
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
@@ -1209,5 +1209,5 @@
             child_id = form['val_id']
         else:
-            self.flash('No course selected!')
+            self.flash('No course selected.')
             self.redirect(self.url(self.context, '@@manage')+'#tab-2')
             return
@@ -1233,5 +1233,5 @@
             child_id = form['val_id']
         else:
-            self.flash('No certificate selected!')
+            self.flash('No certificate selected.')
             self.redirect(self.url(self.context, '@@manage')+'#tab-3')
             return
@@ -1472,5 +1472,5 @@
             child_id = form['val_id']
         else:
-            self.flash('No course referrer selected!')
+            self.flash('No course referrer selected.')
             self.redirect(self.url(self.context, '@@manage')+'#tab-2')
             return
@@ -1521,6 +1521,6 @@
             self.context.addCourseRef(**data)
         except KeyError:
-            self.status = Invalid('The chosen course referrer is already '
-                                  'part of this certificate')
+            self.status = self.flash('The chosen course referrer is already '
+                                  'part of this certificate.')
             return
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')