Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/batching.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/batching.py	(revision 6250)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/batching.py	(revision 6251)
@@ -26,30 +26,30 @@
 from waeup.sirp.interfaces import IBatchProcessor
 from waeup.sirp.utils.batching import BatchProcessor
-from waeup.sirp.applicants.jambtables.interfaces import IApplicantPDEImportData
+from waeup.sirp.applicants.interfaces import IApplicantsContainer
 
-class JAMBDataImporter(BatchProcessor):
-    """An importer for applicants.
+class ApplicantsContainerImporter(BatchProcessor):
+    """An importer for applicants containers.
     """
     grok.implements(IBatchProcessor)
     grok.provides(IBatchProcessor)
     grok.context(Interface)
-    util_name = 'application importer'
+    util_name = 'applicants container importer'
     grok.name(util_name)
 
-    name = u'JAMB Data Importer'
+    name = u'Applicants Container Importer'
     mode = u'create'
-    iface = IApplicantPDEImportData
+    iface = IApplicantsContainer
 
-    location_fields = ['reg_no',]
-    factory_name = 'waeup.Applicant'
+    location_fields = ['code',]
+    factory_name = 'waeup.ApplicantContainer'
 
     def parentsExist(self, row, site):
-        return 'jambdata' in site.keys()
+        return 'applicants' in site.keys()
 
     def entryExists(self, row, site):
-        return row['reg_no'] in site['jambdata'].keys()
+        return row['code'] in site['applicants'].keys()
 
     def getParent(self, row, site):
-        return site['jambdata']
+        return site['applicants']
 
     def getEntry(self, row, site):
@@ -57,14 +57,13 @@
             return None
         parent = self.getParent(row, site)
-        return parent.get(row['reg_no'])
+        return parent.get(row['code'])
 
     def addEntry(self, obj, row, site):
         parent = self.getParent(row, site)
-        reg_no = row['reg_no']
-        parent[reg_no] = obj
+        parent[row['code']] = obj
         return
 
     def delEntry(self, row, site):
         parent = self.getParent(row, site)
-        del parent[row['reg_no']]
+        del parent[row['code']]
         return
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_batching.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_batching.py	(revision 6250)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_batching.py	(revision 6251)
@@ -20,7 +20,6 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Unit tests for the JAMB data importer.
+"""Unit tests for applicants-related data importers.
 """
-
 import grok
 import os
@@ -28,8 +27,15 @@
 import tempfile
 import unittest
+from zope.app.testing.functional import FunctionalTestCase
 from zope.component.hooks import setSite, clearSite
-from zope.interface import verify
+from zope.interface.verify import verifyClass, verifyObject
+
+from waeup.sirp.app import University
+from waeup.sirp.applicants.batching import ApplicantsContainerImporter
+from waeup.sirp.applicants.interfaces import IApplicantsContainer
+from waeup.sirp.interfaces import DuplicationError
+from waeup.sirp.testing import FunctionalLayer, doctestsuite_for_module
 from waeup.sirp.interfaces import IBatchProcessor
-from waeup.sirp.applicants.jambtables import JAMBDataImporter
+
 
 # Sample data we can use in tests...
@@ -47,8 +53,8 @@
         return object()
 
-class JAMBDataImporterTest(unittest.TestCase):
+class ApplicantsContainerImporterTest(unittest.TestCase):
 
     def setUp(self):
-        self.importer = JAMBDataImporter()
+        self.importer = ApplicantsContainerImporter()
         self.site1 = dict(
             jambdata = {
@@ -68,6 +74,7 @@
     def test_interface(self):
         """Make sure we fulfill the interface contracts."""
-        assert verify.verifyObject(IBatchProcessor, self.importer) is True
-        assert verify.verifyClass(IBatchProcessor, JAMBDataImporter) is True
+        assert verifyObject(IBatchProcessor, self.importer) is True
+        assert verifyClass(
+            IBatchProcessor, ApplicantsContainerImporter) is True
 
     def test_parentsExist(self):
@@ -120,5 +127,5 @@
     suite = unittest.TestSuite()
     for testcase in [
-        JAMBDataImporterTest,
+        ApplicantsContainerImporterTest,
         ]:
         suite.addTest(unittest.TestLoader().loadTestsFromTestCase(