Index: /main/waeup.sirp/trunk/docs/source/developerdocs/german/applicants.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/developerdocs/german/applicants.rst	(revision 6269)
+++ /main/waeup.sirp/trunk/docs/source/developerdocs/german/applicants.rst	(revision 6270)
@@ -33,5 +33,5 @@
 Darüber hinaus bieten die FCEs auch noch Sandwich und Diploma-Programme an. Die Formulare der Universitäten können benutzt werden.
 
-Die Frage tauchte auf, wie wir mit Screeningverfahren umgehen, für die es mehrere Anmeldeformulare gibt (z.B. PUME und PUME 2nd Choice). Ich schlage vor, jedes Anmeldeformular als eigenständigen Container für Applicant Records zu implementieren. Das Screening interessiert uns recht wenig, nur das Formular ist für uns interessant. An dem formularspezifischen Applicants-Container hängen dann die Informationen: Start Date, End Date (= Deadline) und Title (Liste kann erweitert werden). Wir benötigen somit nur zwei Container-Ebenen, wobei die Id des Applicants-Containers sich zusammensetzen muss aus dem Kürzel des Screeningverfahrens (+ evtl. Kennung unterschiedlicher Anmeldeformulare) + Sessionkennung. Der Pfad für eine PUME-Application könnte somit wie folgt aussehen: ``applicants/pume_11/123456``. Innerhalb eines Applicants-Containers ist die Id eindeutig. Beim Export der Daten über Sessiongrenzen hinweg müsste die Kennung, in diesem Fall ``pume_11``, der Id noch vorangestellt werden. In einer CSV-Datei würde die Id des Records dann ``pume_11_123456``` lauten. 
+Die Frage tauchte auf, wie wir mit Screeningverfahren umgehen, für die es mehrere Anmeldeformulare gibt (z.B. PUME und PUME 2nd Choice). Ich schlage vor, jedes Anmeldeformular als eigenständigen Container für Applicant Records zu implementieren. Das Screening interessiert uns recht wenig, nur das Formular ist für uns interessant. An dem formularspezifischen Applicants-Container hängen dann die Informationen: Start Date, End Date (= Deadline) und Title (Liste kann erweitert werden). Wir benötigen somit nur zwei Container-Ebenen, wobei die Id des Applicants-Containers sich zusammensetzen muss aus dem Kürzel des Screeningverfahrens (+ evtl. Kennung unterschiedlicher Anmeldeformulare) + Sessionkennung. Der Pfad für eine PUME-Application könnte somit wie folgt aussehen: ``applicants/pume_11/123456``. Innerhalb eines Applicants-Containers ist die Id eindeutig. Beim Export der Daten über Sessiongrenzen hinweg müsste die Kennung, in diesem Fall ``pume_11``, der Id noch vorangestellt werden. In einer CSV-Datei würde die Id des Records dann ``pume_11_123456`` lauten.
 
 Bei den Certificates gibt as das Attribut application_category. Dieses Attribut hilft bei der Gruppierung von Certificates, die den Antragstellern zur Auswahl gestellt werden. Hier werden die Screening-Typen DP, CT und PT noch einmal zusammengefasst, da sie anscheinend alle zu den gleichen Abschlüsse führen. Auch kommt bei all diesen Studenten der CEST zum Einsatz.
Index: /main/waeup.sirp/trunk/docs/source/userdocs/install_on_windows.rst
===================================================================
--- /main/waeup.sirp/trunk/docs/source/userdocs/install_on_windows.rst	(revision 6269)
+++ /main/waeup.sirp/trunk/docs/source/userdocs/install_on_windows.rst	(revision 6270)
@@ -1,77 +1,76 @@
-Installing waeup.sirp on Windows 2000, XP, Vista, Windows 7
-***********************************************************
+Installing waeup.sirp on Windows (XP, 2000, Vista, 7)
+*****************************************************
 
-1. Install Python. Currently, version 2.6.x and version 2.5.x are supported. Note that these links point to installers for the ordinary x86 processor architecture. We recommend to download the follwoing software and install into into C:\Python26:
+**Step 1.** Install Python. Currently, version 2.6.x and version 2.5.x are supported.
+Note that these links point to installers for the ordinary x86 processor architecture.
+We recommend to download the follwoing software and install into into ``C:\Python26``:
 
-http://www.python.org/ftp/python/2.6.0/python-2.6.0.msi
+| http://www.python.org/ftp/python/2.6.0/python-2.6.0.msi
+| http://sourceforge.net/project/downloading.php?group_id=78018&filename=pywin32-213.win32-py2.6.exe
+| http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c11.win32-py2.6.exe
 
-http://sourceforge.net/project/downloading.php?group_id=78018&filename=pywin32-213.win32-py2.6.exe
+**Step 2**. Add ``C:\Python26\Scripts\`` to your system path (see instruction below).
 
-http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c11.win32-py2.6.exe
+**Step 3**. Open up a command window and change to the folder where you want to place the sandbox
+that will contain your SIRP project. In this HowTo we will assume this folder is ``C:\`` ::
 
-3. Add 'C:\Python26\Scripts\'to your system path (see instruction below)
+  C:\[any_path]> cd c:\
 
-4. Open up a command window and change to the folder where you want to place the sandbox that will contain your SIRP project. In this HowTo we will assume this folder is C:\
+**Step 4**. Install virtualenv by using the command::
 
-C:\[any_path]> cd c:\
+ C:\> easy_install virtualenv
 
-5. Install virtualenv by using the command:
+**Step 5**. Create an isolated environment (sandbox) using the command::
 
-C:\> easy_install virtualenv
+ C:\> virtualenv winsirp
 
-6. Create an isolated environment (sandbox) using the command:
+**Step 6**. Activate the environment::
 
-C:\> virtualenv winsirp
-
-7. Activate the environment:
-
-C:\> cd winsirp
-C:\winsirp> Scripts\activate
+ C:\> cd winsirp
+ C:\winsirp> Scripts\activate
 
 Note that the system prompt has changed.
 
-8. Copy the waeup.sirp folder into C:\winsirp
+**Step 7**. Copy the ``waeup.sirp`` folder into ``C:\winsirp``.
 
-9. Run the bootstrap script:
+**Step 8**. Run the bootstrap script::
 
-(winsirp) C:\winsirp\waeup.sirp> cd waeup.sirp
-(winsirp) C:\winsirp\waeup.sirp> python bootstrap\bootstrap.py -c buildout-windows.cfg
+ (winsirp) C:\winsirp\waeup.sirp> cd waeup.sirp
+ (winsirp) C:\winsirp\waeup.sirp> python bootstrap\bootstrap.py -c buildout-windows.cfg
 
-10. Run buildout (this takes a while!):
+**Step 9**. Run buildout (this takes a while)::
 
-C:\winsirp\waeup.sirp> bin\buildout.exe -c buildout-windows.cfg
+ C:\winsirp\waeup.sirp> bin\buildout.exe -c buildout-windows.cfg
 
-11. You can deactivate your environment again:
+**Step 10**. You can deactivate your environment again::
 
-(winsirp) C:\winsirp\waeup.sirp> ..\Scripts\deactivate
+ (winsirp) C:\winsirp\waeup.sirp> ..\Scripts\deactivate
 
-11. Start your SIRP instance:
+**Step 11**. Start your SIRP::
 
-C:\winsirp\waeup.sirp> bin\paster serve parts\etc\deploy.ini
+ C:\winsirp\waeup.sirp> bin\paster serve parts\etc\deploy.ini
 
-or from anywhere in your system:
+or from anywhere in your system::
 
-C:\[any_path]> C:\winsirp\trunk\bin\paster serve C:\winsirp\trunk\parts\etc\deploy.ini
+ C:\[any_path]> C:\winsirp\trunk\bin\paster serve C:\winsirp\trunk\parts\etc\deploy.ini
 
-12. Visit the SIRP website and creata your university instance:
+**Step 12**. Visit the SIRP website and creata your university instance:
 
-http://localhost:8080
+| http://localhost:8080
+| user name: grok
+| password: grok
 
-User name: grok
-Password: grok
+Change system path in Windows (XP, 2000, Vista, 7)
+--------------------------------------------------
 
+**Step 1**. Right-click on the My Computer icon. (Under Windows XP, Vista, or Windows 7, the My Computer Icon may be located in the start menu.)
 
+**Step 2**. Choose Properties from the context menu. Alternatively, you can double-click on the System icon in the Control Panel.
 
-Change system path in Windows 2000, XP, Vista, Windows 7
-********************************************************
-1. Right-click on the My Computer icon. (Under Windows XP, Vista, or Windows 7, the My Computer Icon may be located in the start menu.)
+**Step 3**. Click the Advanced tab or "Advanced system settings" on Windows Vista or Windows 7
 
-2. Choose Properties from the context menu. Alternatively, you can double-click on the System icon in the Control Panel.
+**Step 4**. Click the Environment Variables button.
 
-4. Click the Advanced tab or "Advanced system settings" on Windows Vista or Windows 7
+**Step 5**. Click on the variable called 'Path' and then click on Edit. Now add 'C:\Python26\Scripts\' to the value of the variable, using a semi-colon as a separator.
 
-5. Click the Environment Variables button.
-
-6. Click on the variable called 'Path' and then click on Edit. Now add 'C:\Python26\Scripts\' to the value of the variable, using a semi-colon as a separator. 
-
-7. Reboot Windows
+**Step 6**. Reboot Windows