Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6304)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6305)
@@ -25,4 +25,5 @@
 import grok
 
+from datetime import datetime
 from zope.component import getUtility
 from zope.formlib.widget import CustomWidgetFactory
@@ -77,4 +78,10 @@
     MultiListDisplayWidget, subwidget=results_display_widget)
 
+TRANSITION_OBJECTS = create_workflow()
+
+TRANSITION_DICT = dict([
+    (transition_object.transition_id,transition_object.title)
+    for transition_object in TRANSITION_OBJECTS])
+
 class ApplicantsRootPage(WAeUPPage):
     grok.context(IApplicantsRoot)
@@ -416,4 +423,7 @@
         if state == INITIALIZED:
             IWorkflowInfo(self.context[pin]).fireTransition('start')
+            timestamp = datetime.now().strftime("%d/%m/%Y %H:%M")
+            transition_title = TRANSITION_DICT['start']
+            self.context[pin].messages += '<br />%s - %s' % (timestamp,transition_title)
         self.redirect(self.url(self.context[pin], 'edit'))
         return
@@ -507,10 +517,9 @@
     def getTransitions(self):
         allowed_transitions_ids = IWorkflowInfo(self.context).getManualTransitionIds()
-        transition_objects = create_workflow()
         null_transition = [{'name': '', 'title':'No transition'}]
         transitions = null_transition + [dict(
             name=transition_object.transition_id,
             title=transition_object.title)
-            for transition_object in transition_objects
+            for transition_object in TRANSITION_OBJECTS
             if transition_object.transition_id in allowed_transitions_ids]
         #import pdb; pdb.set_trace()
@@ -528,6 +537,10 @@
         form = self.request.form
         if form.has_key('transition') and form['transition']:
-            transition = form['transition']
-            IWorkflowInfo(self.context).fireTransition(transition)
+            transition_id = form['transition']
+            IWorkflowInfo(self.context).fireTransition(transition_id)
+            #import pdb; pdb.set_trace()
+            timestamp = datetime.now().strftime("%d/%m/%Y %H:%M")
+            transition_title = TRANSITION_DICT[transition_id]
+            self.context.messages += '<br />%s - %s' % (timestamp,transition_title)
         self.flash('Form has been saved.')
         return
@@ -594,4 +607,7 @@
             return
         IWorkflowInfo(self.context).fireTransition('submit')
+        timestamp = datetime.now().strftime("%d/%m/%Y %H:%M")
+        transition_title = TRANSITION_DICT['submit']
+        self.context.messages += '<br />%s - %s' % (timestamp,transition_title)
         self.context.locked = True
         self.flash('Form has been submitted.')
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 6304)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 6305)
@@ -5,4 +5,5 @@
 <h3>Application Status:
   <span tal:replace="view/getApplicationState">Application State</span></h3>
+  <div class="workflow" tal:content="structure context/messages">Application Workflow</div>
 
 <table class="zebra">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6304)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6305)
@@ -8,4 +8,5 @@
   <h3>Application Status:
     <span tal:replace="view/getApplicationState">Application State</span></h3>
+    <div class="workflow" tal:content="structure context/messages">Application Workflow</div>
 
   <div class="form-status"