Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicants.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicants.py	(revision 6323)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicants.py	(revision 6324)
@@ -50,4 +50,9 @@
         #Initialize workflow state...
         IWorkflowInfo(self).fireTransition('init')
+
+    @property
+    def getApplicationState(self):
+        state = IWorkflowState(self).getState()
+        return state
 
 # Set all attributes of Applicant required in IApplicant as field
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6323)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6324)
@@ -470,8 +470,8 @@
         return 'not yet admitted'
 
-    @property
-    def getApplicationState(self):
-        state = IWorkflowState(self.context).getState()
-        return state
+    #@property
+    #def getApplicationState(self):
+    #    state = IWorkflowState(self.context).getState()
+    #    return state
 
 class ApplicantsManageActionButton(ManageActionButton):
@@ -522,8 +522,8 @@
         return transitions
 
-    @property
-    def getApplicationState(self):
-        state = IWorkflowState(self.context).getState()
-        return state
+    #@property
+    #def getApplicationState(self):
+    #    state = IWorkflowState(self.context).getState()
+    #    return state
 
     @grok.action('Save')
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6323)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6324)
@@ -82,12 +82,15 @@
         </thead>
         <tbody>
-          <tr tal:repeat="appl context/values"> <td>
-              <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" /> </td> <td>
+          <tr tal:repeat="appl context/values">
+            <td>
+              <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
+            </td>
+            <td>
               <a tal:attributes="href python: view.url(appl)"
-                 tal:content="appl/__name__"> ID </a> </td> <td>
-              <span tal:condition="not: appl/locked">in progress
-              </span>
-              <span tal:condition="appl/locked">submitted
-              </span> </td>
+                 tal:content="appl/__name__"> ID </a>
+            </td>
+            <td>
+              <span tal:replace="appl/getApplicationState">state</span>
+            </td>
           </tr>
         </tbody>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 6323)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 6324)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<h2> ... <span tal:replace="view/getApplicationState">Application State</span> ... </h2>
+<h2> ... <span tal:replace="context/getApplicationState">Application State</span> ... </h2>
 
 <div class="workflow" tal:content="structure context/msgs">Application Workflow</div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6323)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6324)
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <h2> ... <span tal:replace="view/getApplicationState">Application State</span> ... </h2>
+  <h2> ... <span tal:replace="context/getApplicationState">Application State</span> ... </h2>
 
   <div class="workflow" tal:content="structure context/msgs">Application Workflow</div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6323)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6324)
@@ -389,4 +389,9 @@
         )
 
+    def getApplicationState():
+        """
+        Returns the application state of an applicant.
+        """
+
 class IApplicant(IApplicantBaseData):
     """An applicant.