Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicants.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicants.py	(revision 6331)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicants.py	(revision 6332)
@@ -51,5 +51,5 @@
 
     @property
-    def getApplicationState(self):
+    def state(self):
         state = IWorkflowState(self).getState()
         return state
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6331)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6332)
@@ -507,9 +507,4 @@
         return 'not yet admitted'
 
-    #@property
-    #def getApplicationState(self):
-    #    state = IWorkflowState(self.context).getState()
-    #    return state
-
 class ApplicantsManageActionButton(ManageActionButton):
     grok.context(IApplicant)
@@ -556,11 +551,5 @@
             for transition_object in TRANSITION_OBJECTS
             if transition_object.transition_id in allowed_transitions_ids]
-        #import pdb; pdb.set_trace()
         return transitions
-
-    #@property
-    #def getApplicationState(self):
-    #    state = IWorkflowState(self.context).getState()
-    #    return state
 
     @grok.action('Save')
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6331)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6332)
@@ -91,5 +91,5 @@
             </td>
             <td>
-              <span tal:replace="appl/getApplicationState">state</span>
+              <span tal:replace="appl/state">state</span>
             </td>
           </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 6331)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_display.pt	(revision 6332)
@@ -3,7 +3,9 @@
     tal:content="view/label">Label</h2>
 
-<h2> ... <span tal:replace="context/getApplicationState">Application State</span> ... </h2>
+<h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
 
-<div class="workflow" tal:content="structure context/msgs">Application Workflow</div>
+<div class="workflow" tal:content="structure context/msgs">
+  Application Workflow
+</div>
 
 <table class="zebra">
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6331)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6332)
@@ -6,9 +6,9 @@
     tal:content="view/label">Label</h2>
 
-  <h2> ... <span tal:replace="context/getApplicationState">Application State</span> ... </h2>
+  <h2> ... <span tal:replace="context/state">Application State</span> ... </h2>
 
   <div class="workflow" tal:content="structure context/msgs">Application Workflow</div>
 
-  
+
   <div class="form-status"
     tal:define="status view/status"
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6331)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6332)
@@ -284,5 +284,5 @@
     """
     msgs = Attribute('Workflow transitions with date of transition.')
-    getApplicationState = Attribute('Returns the application state of an applicant')
+    state = Attribute('Returns the application state of an applicant')
 
     reg_no = schema.TextLine(