Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6340)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_edit.pt	(revision 6341)
@@ -15,14 +15,8 @@
     tal:define="status view/status"
     tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
       Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
+    </span>
   </div>
 
@@ -31,25 +25,20 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*
-              </span><span i18n:translate=""
-                             tal:content="widget/label">label</span>:
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*
-              </span><span i18n:translate=""
-                             tal:content="widget/label">label</span>:
+          <td class="label">
+            <label tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required">*</span>
+              <span i18n:translate="" tal:content="widget/label">label</span>:
             </label>
           </td>
           <td class="field">
-            <div class="widget" tal:content="structure widget">
+            <span class="widget" tal:content="structure widget">
               <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
+            </span>
+            <tal:error tal:condition="widget/error">
               <span tal:replace="structure widget/error">error</span>
-            </div>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span class="hint" tal:content="structure widget/hint">hint</span>
+            </tal:hint>
           </td>
         </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6340)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6341)
@@ -333,10 +333,11 @@
         required = False,
         )
-    email = schema.TextLine(
+    email = schema.ASCIILine(
         title = u'Email',
         required = False,
         )
-    phone = schema.TextLine(
+    phone = schema.Int(
         title = u'Phone',
+        description = u'Enter phone number with country code and without spaces.',
         required = False,
         )
@@ -345,4 +346,5 @@
         #default = DEFAULT_PASSPORT_IMAGE_MALE,
         defaultFactory = default_passport_image,
+        description = u'Maximun file size is 20 kB.',
         required = True,
         max_size = 20480,
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 6340)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 6341)
@@ -32,5 +32,5 @@
 
 .workflow {
-  border:2px solid #1fdf00;
+  border:1px solid #1fdf00;
   background-color:#bbffb6;
   font-family: courier;
@@ -38,5 +38,16 @@
   padding: 4px;
   margin-bottom: 8px;
-  border-width: 1px;
+}
+
+.form-status {
+    border:1px solid #fbb;
+    background-color:#fdd;
+    text-align:center;
+    padding: 2px;
+}
+
+.hint {
+    color: #CD0A0A;
+    padding-left: 4px;
 }
 