Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6225)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6344)
@@ -4,18 +4,11 @@
 
 <div class="form-status"
-tal:define="status view/status"
-tal:condition="status">
-
-<div i18n:translate="" tal:content="view/status">
-  Form status summary
+    tal:define="status view/status"
+    tal:condition="status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
+      Form status summary
+    </span>
 </div>
-
-<ul class="errors" tal:condition="view/errors">
-  <li tal:repeat="error view/error_views">
-     <span tal:replace="structure error">Error Type</span>
-  </li>
-</ul>
-</div>
-
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 6225)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 6344)
@@ -7,14 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td tal:define="hint widget/hint">
-        <label tal:condition="python:hint"
-               tal:attributes="for widget/name">
+      <td>
+        <label tal:attributes="for widget/name">
           <span i18n:translate=""
-                         tal:content="widget/label">label</span>
-        </label>
-        <label tal:condition="python:not hint"
-               tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>
+                         tal:content="widget/label">label</span>:
         </label>
       </td>
@@ -22,7 +16,4 @@
         <div class="widget" tal:content="structure widget">
           <input type="text" />
-        </div>
-        <div class="error" tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
         </div>
       </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6225)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6344)
@@ -9,14 +9,8 @@
     tal:define="status view/status"
     tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
       Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
+    </span>
   </div>
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6225)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6344)
@@ -1,12 +1,10 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="form-status" tal:define="status view/status" tal:condition="status">
-    <div i18n:translate="" tal:content="view/status"> Form status summary
-    </div>
-    <ul class="errors" tal:condition="view/errors">
-        <li tal:repeat="error view/error_views">
-            <span tal:replace="structure error">Error Type
-            </span>
-        </li>
-    </ul>
+<div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
+      Form status summary
+    </span>
 </div>
 <form action="." tal:attributes="action request/URL" method="POST" class="edit-form" enctype="multipart/form-data">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt	(revision 6225)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt	(revision 6344)
@@ -4,16 +4,10 @@
 
 <div class="form-status"
-     tal:define="status view/status"
-     tal:condition="status">
-
-  <div i18n:translate="" tal:content="view/status">
-    Form status summary
-  </div>
-
-  <ul class="errors" tal:condition="view/errors">
-    <li tal:repeat="error view/error_views">
-      <span tal:replace="structure error">Error Type</span>
-    </li>
-  </ul>
+    tal:define="status view/status"
+    tal:condition="status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
+      Form status summary
+    </span>
 </div>
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6225)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6344)
@@ -1,11 +1,10 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="form-status" tal:define="status view/status" tal:condition="status">
-    <div i18n:translate="" tal:content="view/status"> Form status summary
-    </div>
-    <ul class="errors" tal:condition="view/errors">
-        <li tal:repeat="error view/error_views">
-            <span tal:replace="structure error">Error Type
-            </span> </li>
-    </ul>
+<div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
+      Form status summary
+    </span>
 </div>
 <form action="." tal:attributes="action request/URL" method="POST" class="edit-form" enctype="multipart/form-data">