Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6345)
@@ -17,30 +17,25 @@
   <table class="zebra">
     <tbody>
-        <tal:block repeat="widget view/widgets">
+      <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>:
+          <td class="label">
+            <label tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required">*</span>
+              <span i18n:translate="" tal:content="widget/label">label</span>:
             </label>
           </td>
           <td class="field">
-            <div class="widget" tal:content="structure widget">
+            <span class="widget" tal:content="structure widget">
               <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
+            </span>
+            <tal:error tal:condition="widget/error">
               <span tal:replace="structure widget/error">error</span>
-            </div>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span class="hint" tal:content="structure widget/hint">hint</span>
+            </tal:hint>
           </td>
         </tr>
-        </tal:block>
+      </tal:block>
     </tbody>
   </table>
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6345)
@@ -33,25 +33,21 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td class="label" tal:define="hint widget/hint">
-                <label tal:condition="python:hint" tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required" >*
-                  </span>
-                  <span i18n:translate="" tal:content="widget/label">label
-                  </span>:
+              <td class="label">
+                <label tal:attributes="for widget/name">
+                  <span class="required" tal:condition="widget/required">*</span>
+                  <span i18n:translate="" tal:content="widget/label">label</span>:
                 </label>
-                <label tal:condition="python:not hint" tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required" >*
-                  </span>
-                  <span i18n:translate="" tal:content="widget/label">label
-                  </span>:
-                </label> </td>
+              </td>
               <td class="field">
-                <div class="widget" tal:content="structure widget">
+                <span class="widget" tal:content="structure widget">
                   <input type="text" />
-                </div>
-                <div class="error" tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error
-                  </span>
-                </div> </td>
+                </span>
+                <tal:error tal:condition="widget/error">
+                  <span tal:replace="structure widget/error">error</span>
+                </tal:error>
+                <tal:hint tal:condition="widget/hint">
+                  <span class="hint" tal:content="structure widget/hint">hint</span>
+                </tal:hint>
+              </td>
             </tr>
           </tal:block>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6345)
@@ -26,25 +26,20 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label" tal:define="hint widget/hint">
-    	<label tal:condition="python:hint"
-    	       tal:attributes="for widget/name">
-    	  <span class="required" tal:condition="widget/required"
-    		>*</span><span i18n:translate=""
-    		tal:content="widget/label">label</span>
-    	</label>
-    	<label tal:condition="python:not hint"
-    	       tal:attributes="for widget/name">
-    	  <span class="required" tal:condition="widget/required"
-    		>*</span><span i18n:translate=""
-    		tal:content="widget/label">label</span>
-    	</label>:
+          <td class="label">
+            <label tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required">*</span>
+              <span i18n:translate="" tal:content="widget/label">label</span>:
+            </label>
           </td>
           <td class="field">
-    	<div class="widget" tal:content="structure widget">
-    	  <input type="text" />
-    	</div>
-    	<div class="error" tal:condition="widget/error">
-    	  <span tal:replace="structure widget/error">error</span>
-    	</div>
+            <span class="widget" tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span class="hint" tal:content="structure widget/hint">hint</span>
+            </tal:hint>
           </td>
         </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6345)
@@ -19,25 +19,20 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>:
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>:
+          <td class="label">
+            <label tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required">*</span>
+              <span i18n:translate="" tal:content="widget/label">label</span>:
             </label>
           </td>
           <td class="field">
-            <div class="widget" tal:content="structure widget">
+            <span class="widget" tal:content="structure widget">
               <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
+            </span>
+            <tal:error tal:condition="widget/error">
               <span tal:replace="structure widget/error">error</span>
-            </div>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span class="hint" tal:content="structure widget/hint">hint</span>
+            </tal:hint>
           </td>
         </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6345)
@@ -28,31 +28,25 @@
             <table class="zebra">
                 <tbody>
-                    <tal:block repeat="widget view/widgets">
-                        <tr>
-                            <td class="label" tal:define="hint widget/hint">
-                                <label tal:condition="python:hint" tal:attributes="for widget/name">
-                                    <span class="required" tal:condition="widget/required">*
-                                    </span>
-                                    <span i18n:translate="" tal:content="widget/label">label
-                                    </span>
-                                </label>
-                                <label tal:condition="python:not hint" tal:attributes="for widget/name">
-                                    <span class="required" tal:condition="widget/required">*
-                                    </span>
-                                    <span i18n:translate="" tal:content="widget/label">label
-                                    </span>
-                                </label>:
-                            </td>
-                            <td class="field">
-                                <div class="widget" tal:content="structure widget">
-                                    <input type="text" />
-                                </div>
-                                <div class="error" tal:condition="widget/error">
-                                    <span tal:replace="structure widget/error">error
-                                    </span>
-                                </div>
-                            </td>
-                        </tr>
-                    </tal:block>
+                  <tal:block repeat="widget view/widgets">
+                    <tr>
+                      <td class="label">
+                        <label tal:attributes="for widget/name">
+                          <span class="required" tal:condition="widget/required">*</span>
+                          <span i18n:translate="" tal:content="widget/label">label</span>:
+                        </label>
+                      </td>
+                      <td class="field">
+                        <span class="widget" tal:content="structure widget">
+                          <input type="text" />
+                        </span>
+                        <tal:error tal:condition="widget/error">
+                          <span tal:replace="structure widget/error">error</span>
+                        </tal:error>
+                        <tal:hint tal:condition="widget/hint">
+                          <span class="hint" tal:content="structure widget/hint">hint</span>
+                        </tal:hint>
+                      </td>
+                    </tr>
+                  </tal:block>
                 </tbody>
             </table>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6345)
@@ -24,31 +24,25 @@
             <table class="zebra">
                 <tbody>
-                    <tal:block repeat="widget view/widgets">
-                        <tr>
-                            <td class="label" tal:define="hint widget/hint">
-                                <label tal:condition="python:hint" tal:attributes="for widget/name">
-                                    <span class="required" tal:condition="widget/required" >*
-                                    </span>
-                                    <span i18n:translate="" tal:content="widget/label">label
-                                    </span>
-                                </label>
-                                <label tal:condition="python:not hint" tal:attributes="for widget/name">
-                                    <span class="required" tal:condition="widget/required" >*
-                                    </span>
-                                    <span i18n:translate="" tal:content="widget/label">label
-                                    </span>
-                                </label>:
-                            </td>
-                            <td class="field">
-                                <div class="widget" tal:content="structure widget">
-                                    <input type="text" />
-                                </div>
-                                <div class="error" tal:condition="widget/error">
-                                    <span tal:replace="structure widget/error">error
-                                    </span>
-                                </div>
-                            </td>
-                        </tr>
-                    </tal:block>
+                  <tal:block repeat="widget view/widgets">
+                    <tr>
+                      <td class="label">
+                        <label tal:attributes="for widget/name">
+                          <span class="required" tal:condition="widget/required">*</span>
+                          <span i18n:translate="" tal:content="widget/label">label</span>:
+                        </label>
+                      </td>
+                      <td class="field">
+                        <span class="widget" tal:content="structure widget">
+                          <input type="text" />
+                        </span>
+                        <tal:error tal:condition="widget/error">
+                          <span tal:replace="structure widget/error">error</span>
+                        </tal:error>
+                        <tal:hint tal:condition="widget/hint">
+                          <span class="hint" tal:content="structure widget/hint">hint</span>
+                        </tal:hint>
+                      </td>
+                    </tr>
+                  </tal:block>
                 </tbody>
             </table>
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 6344)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 6345)
@@ -20,5 +20,4 @@
     code = schema.TextLine(
         title = u'Code',
-        description = u'Abbreviated code of the faculty',
         default = u'NA',
         required = True,
@@ -49,5 +48,5 @@
     code = schema.TextLine(
         title = u'Code',
-        description = u'Abbreviated code of the faculty',
+        description = u'This code will become part of the URL.',
         default = u'NA',
         required = True,
@@ -71,5 +70,4 @@
         title = u'Code',
         default = u'NA',
-        description = u'Abbreviated code of the department',
         required = True,
         readonly = True,
@@ -102,6 +100,6 @@
     code = schema.TextLine(
         title = u'Code',
-        default = u'NA',
-        description = u'Abbreviated code of the department',
+        description = u'This code will become part of the URL.',
+        default = u'NA',
         required = True,
         readonly = False,
@@ -125,5 +123,4 @@
         title = u'Code',
         default = u'NA',
-        description = u'Abbreviated code of the course',
         required = True,
         readonly = True,
@@ -165,6 +162,6 @@
     code = schema.TextLine(
         title = u'Code',
-        default = u'NA',
-        description = u'Abbreviated code of the course',
+        description = u'Enter unique course code which will become part of the URL.',
+        default = u'NA',
         required = True,
         readonly = False,
@@ -179,5 +176,4 @@
         title = u'Code',
         default = u'NA',
-        description = u'Abbreviated code of the certificate.',
         required = True,
         readonly = True,
@@ -231,5 +227,5 @@
         title = u'Code',
         default = u'NA',
-        description = u'Abbreviated code of the certificate.',
+        description = u'Enter unique certificate code which will become part of the URL.',
         required = True,
         readonly = False,